variable "pve_endpoint" {
  type = string
}

variable "pve_token_id" {
  type = string
}

variable "pve_token_secret" {
  type      = string
  sensitive = true
}

variable "lxc_inventory" {
  type = map(object({
    node         = string
    hostname     = string
    datastore_id = string
    disk_size    = string
    cores        = number
    memory       = number
    vlan         = number
    ip           = string
    gw           = string
    mp0_volume   = string
    mp1_volume   = string
  }))
}

variable "lxc_root_password" {
  type      = string
  sensitive = true
}